Cancel all active workflow executions Generally available

POST /api/workflows/workflow/{workflowId}/executions/cancel

Spaces method and path for this operation:

post /s/{space_id}/api/workflows/workflow/{workflowId}/executions/cancel

Refer to Spaces for more information.

Request cancellation for all non-terminal executions of the given workflow in the current space.

[Required authorization] Route required privileges: workflowsManagement:cancelExecution.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • workflowId string Required

    Workflow ID

Responses

  • 200

    Indicates a successful response

POST /api/workflows/workflow/{workflowId}/executions/cancel
curl \
  -X POST "${KIBANA_URL}/api/workflows/workflow/{workflowId}/executions/cancel" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
POST kbn://api/workflows/workflow/{workflowId}/executions/cancel